al_init_image_addon(3)

NAME

al_init_image_addon - Allegro 5 API

SYNOPSIS

    #include <allegro5/allegro_image.h>
    bool al_init_image_addon(void)

DESCRIPTION

Initializes the image addon. This registers bitmap format handlers for al_load_bitmap(3), al_load_bitmap_f(3), al_save_bitmap(3), al_save_bitmap_f(3).

The following types are built into the Allegro image addon and guaranteed to be available: BMP, DDS, PCX, TGA. Every platform also supports JPEG and PNG via external dependencies.

Other formats may be available depending on the operating system and installed libraries, but are not guaranteed and should not be assumed to be universally available.

The DDS format is only supported to load from, and only if the DDS file contains textures compressed in the DXT1, DXT3 and DXT5 formats. Note that when loading a DDS file, the created bitmap will always be a video bitmap and will have the pixel format matching the format in the file.